---
search:
  tags:
    - Price Relay Rules
    - PUT
seo:
  description: >-
    Update a price relay target rule. Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/price-relay-target-rules/{rule_id} endpoint
    in the Management API.
sidebar:
  label: Update a price relay target rule
  badge: PUT
title: Update a price relay target rule
type: openapi-operation
---
`PUT /api/v1/{team_slug}/{app_slug}/price-relay-target-rules/{rule_id}`

**Request body** (`application/json`, required)

target rule details

- `active` (boolean)
- `aggregation` (string, required)
- `market_slug` (string, required)
- `name` (string, required)
- `store_group_slug` (string, required)

Request body example:

```json
{
  "active": true,
  "aggregation": "string",
  "market_slug": "string",
  "name": "string",
  "store_group_slug": "string"
}
```

**Responses**

- `200` — target rule updated
- `400` — Invalid request
- `404` — Not found
- `409` — Conflict
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "active": true,
    "aggregation": "string",
    "app_id": "string",
    "created_at": "string",
    "id": "string",
    "market": "string",
    "market_slug": "string",
    "name": "string",
    "store_group": "string",
    "store_group_slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
